#
# spec file for package perl-MP4-Info
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-MP4-Info
Version:        1.13
Release:        5.8
Summary:        Fetch info from MPEG-4 files (.mp4, .m4a, .m4p, .3gp)
# http://search.cpan.org/CPAN/authors/id/J/JH/JHAR/MP4-Info-%{version}.tar.gz
Source:         MP4-Info-%{version}.tar.gz
Url:            http://search.cpan.org/dist/MP4-Info
Group:          Development/Libraries/Perl
License:        Artistic-1.0 or GPL-2.0+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Encode)
Requires:       perl(IO::String)
Requires:       perl(Encode)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
The MP4::Info module can be used to extract tag and meta information from
MPEG-4 audio (AAC) and video files. It is designed as a drop-in replacement for
MP3::Info.

%prep
%setup -q -n "MP4-Info-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL
%__sed -i 's/\r$//' README
find . -type f -exec %__chmod 0644 {} \;

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/MP4
%{perl_vendorlib}/MP4/Info.pm
%doc %{perl_man3dir}/MP4::Info.%{perl_man3ext}%{ext_man}

%changelog
* Wed Sep  4 2019 olaf@aepfle.de
- Pick a License string that makes SLE15_SP1 happy
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (1.13)
